#!/usr/bin/env python3
# (C) Copyright 2023 European Centre for Medium-Range Weather Forecasts.
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.
from unittest.mock import patch

import climetlab as cml


def test_read():
    with patch("climetlab.load_source"):
        ds = cml.load_dataset(
            "wekeo-mercator-arctic-analysis-forecast-phys",
            layer="dataset-topaz4-arc-1hr-myoceanv2-be",
            area=[30, -30, -30, -30],
            end="2018-01-10",
        )
        xds = ds.to_xarray()
        print(xds)


if __name__ == "__main__":
    test_read()
